# VecPlaceArray

Allows one to replace the array in a vector with an array provided by the user. This is useful to avoid copying an array into a vector.

### Synopsis

    #include "petscvec.h"
    PetscErrorCode PETSCVEC_DLLEXPORT VecPlaceArray(Vec vec,const PetscScalar array[])

Not Collective

### Input Parameters

| vec | - the vector
| array | - the array

### Notes

You can return to the original array with a call to VecResetArray()

### See Also

VecGetArray(), VecRestoreArray(), VecReplaceArray(), VecResetArray()

Level:developer
Location: src/vec/vec/interface/rvector.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ksp/ksp/examples/tutorials/ex13.c.html
src/ksp/ksp/examples/tutorials/ex13f90.F.html
src/dm/da/examples/tutorials/ex6.c.html
src/dm/da/examples/tutorials/ex6f90.F.html